Bug 1020843 - new version of qrcode available
new version of qrcode available
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-qrcode (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 07:21 EDT by Abel Luck
Modified: 2015-07-21 12:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-21 12:27:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
updated spec file for version 4.0.1 (1.72 KB, text/plain)
2013-10-26 07:23 EDT, Abel Luck
no flags Details

  None (edit)
Description Abel Luck 2013-10-18 07:21:40 EDT
python-qrcode in fedora is super out of date. The latest version is 4.0.1.

see https://pypi.python.org/pypi/qrcode
Comment 1 Abel Luck 2013-10-26 07:23:27 EDT
Created attachment 816387 [details]
updated spec file for version 4.0.1
Comment 2 Abel Luck 2013-10-26 07:23:47 EDT
I'd like to see it updated in 18, 19, and rawhide not just 18 :)

Attached is an updated spec file.

The new version optional depends on a new pure python imaging package (to replace the dependency on PIL), but this package isn't yet in Fedora.

The package works fine, but we need to exclude the pure imaging tests from running, which I added to %check.
Comment 3 Jacob Welsh 2014-06-17 05:31:58 EDT
5.0.1 is out now, with good fixes and speedups.

It supports Python 3 so having a python3-qrcode package too would be nice. The dependencies are python3-six and python3-pillow.

Note that older versions including the 2.4.1 in fedora have some nasty correctness bugs; the generated codes only work as well as they do because of error correction.
Comment 4 Fabian Affolter 2014-08-14 02:02:35 EDT
I would really like to have an updated release of python-qrcode and I'm willling to help maintaing the package.
Comment 5 Fabian Affolter 2014-09-24 09:32:11 EDT
It seems to be done [1] and is now in testing.

[1] https://admin.fedoraproject.org/updates/FEDORA-2014-10811/389-ds-base-1.3.3.3-1.fc21,python-qrcode-5.0.1-2.fc21,freeipa-4.0.3-1.fc21
Comment 6 Jaroslav Reznik 2015-03-03 10:09:04 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 7 Fabian Affolter 2015-03-23 13:03:14 EDT
The latest release is 5.1.

P.S. I will can offer support with maintaining this package.
Comment 8 Jan Kurik 2015-07-15 10:44:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 9 Michel Alexandre Salim 2015-07-21 12:27:53 EDT
(In reply to Fabian Affolter from comment #7)
> The latest release is 5.1.
> 
> P.S. I will can offer support with maintaining this package.

added. sorry for the delay!

Note You need to log in before you can comment on or make changes to this bug.